ChiliProject - Bug # 876: jQuery.menu_expand is not a function

Status: Declined Priority: Normal
Author: Peter Mathis Category: User interface
Created: 2012-02-09 Assignee:

Updated: 2012-03-07 Due date:

Remote issue URL:
Affected version:
Description: after upgrading to 3.0 my firebug is moaning about:

<pre>
jQuery.menu_expand is not a function

</pre>

chrome says it this way:

<pre>

Uncaught TypeError: Object function (a,b){return new d.fn.init(a,b,g)} has no method 'menu_expand'

</pre>

which [ think is pretty much the same

Associated revisions

2008-03-23 09:34 am - Jean-Philippe Lang
Translations (closes #875, #876, #889, #891, #909):
* Norwegian added (Kai Olav Fredriksen)

* Finnish updated (Antti PerkiAqmAx=ki)

* Czech updated (Maxim KruAjina)

* Russian updated (Michael Pirogov)

* Polish updated (Mariusz Olejnik)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1289 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2012-03-01 01:28 am - Felix Schéfer

What view is this on, and what are the steps to trigger it?

2012-03-01 06:48 am - Peter Mathis
this is on the "issues" view. firebug output:

<pre>

jQuery.menu_expand({ menultem: ".issues'});

jQuery.menu_expand is not a function
https://xxx.yy/chiliproject/issues/666
Line 215

</pre>

2012-03-07 08:20 pm - Felix Schéfer
Can you reproduce it on chiliproject.org itself? | can't see it hereé€|

2012-03-07 09:31 pm - Peter Mathis
hm ... not on chiliproject.org indeed.

well, this inline javascript statement on our chili which produces the error isn't in the source code on chiliproject.org: (/issues/xxx browser source code

with line numbers)

<pre>

215: <script type="text/javascript">

216: //<[CDATA[

217: jQuery.menu_expand({ menultem: ".issues' });
218: />

219: </script>

</pre>

also, when i'm grep-ing through our chili, this inline js isn't - at least not obvious enough for me - in the code.

i'm on release-v3.0.0 ... strange ...

2012-03-07 10:24 pm - Peter Mathis
- Status changed from Open to Declined

ok, just figured out that we've installed redmine_lightbox plugin. if | remove this, the jquery error ist gone. redmine_lightbox also includes jquery 1.5.1

which overrides the $.menu_expand enhancement before ... evil knievel ...

2012-03-07 10:56 pm - Peter Mathis

- Status changed from Declined to Closed

i've forked redmine_lightbox and fixed this plugin issue and mentioned it in [[Plugin_Compatibility]]

maybe someone wants to verify this ...

2012-03-07 11:19 pm - Felix Schafer

- Status changed from Closed to Declined

Thanks a lot for the feedback and the updated plugin.

(note: closed is for issues which have been fixed in ChiliProject, as this is not a ChiliProject bug per se, its final status is declined)
